Package org.apache.sysds.runtime.matrix.data

## Class LibMatrixDNNRelu

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.LibMatrixDNNRelu

    public class LibMatrixDNNRelu
    extends Object

This class contains the different implementation of rotate180 operation

### Nested Class Summary

Nested Classes
`static class` `LibMatrixDNNRelu.ReluBackward` Performs the operation: (X gt 0) * dout

### Constructor Summary

Constructors
`LibMatrixDNNRelu()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ArrayList<Callable<Long>>` `getReluBackwardWorkers​(DnnParameters params)` Factory method that returns list of callable tasks for performing relu backward operation

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LibMatrixDNNRelu

    public LibMatrixDNNRelu()

### Method Detail

#### getReluBackwardWorkers

    public static ArrayList<Callable<Long>> getReluBackwardWorkers​(DnnParameters params)

Factory method that returns list of callable tasks for performing relu backward operation

Parameters:
  `params` - convolution parameters
Returns:
  list of callable tasks for performing relu backward operation